# Generated by go2rpm 1
%bcond_without check

# https://github.com/infrawatch/apputils
%global gohost          github
%global gosuffix        com
%global goorg           infrawatch
%global goproject       apputils
%global goipath         %{gohost}.%{gosuffix}/%{goorg}/%{goproject}
%global commit          4ffa97060af814fe6370e7ac2054a3ab72b1b375
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%gometa

%global common_description %{expand:
Shared library for infrawatch golang components.}

%global godocs          README.md

Name:           golang-%{gohost}-%{goorg}-%{goproject}
Version:        0.5
Release:        3%{?dist}
Summary:        Shared library for infrawatch golang components

License:        ASL 2.0

URL:            %{gourl}
#Source0:        https://%{goipath}/archive/%{commit}/%{goproject}-%{shortcommit}.tar.gz
Source0:        https://%{goipath}/archive/v%{version}.tar.gz#/%{goproject}-v%{version}.tar.gz

BuildRequires:  golang(github.com/go-ini/ini)
BuildRequires:  golang(github.com/streadway/amqp)
BuildRequires:  golang(github.com/apache/qpid-proton/go/pkg/amqp)
BuildRequires:  golang(github.com/apache/qpid-proton/go/pkg/electron)
BuildRequires:  golang(github.com/stretchr/testify/assert)

Requires:  golang(github.com/go-ini/ini)
Requires:  golang(github.com/streadway/amqp)
Requires:  golang(github.com/apache/qpid-proton/go/pkg/amqp)
Requires:  golang(github.com/apache/qpid-proton/go/pkg/electron)

Provides:       golang(%{goipath})

%description
%{common_description}

%gopkg

%prep
%autosetup -n %{goproject}-%{version}

%install
# copy packages
install -d -p %{buildroot}/%{gopath}/src/%{goipath}/
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{goipath}/
    fi
done

%check
#%if %{with check}
#export GOPATH=%{buildroot}/%{gopath}:%{gopath}

#%if ! 0%{?gotest:1}
#%global gotest go test
#%endif

#pushd %{buildroot}/%{gopath}/src/%{gohost}.%{gosuffix}/%{goorg}/%{goproject}
#Note(mmagr): unit test fail currently. Uncomment this in next build
#%gotest ./...
#popd
#%endif

%files
%{gopath}/src/%{goipath}
%license LICENSE
%doc README.md

%changelog
* Tue Oct 17 2023 Jon Schlueter <jschluet@redhat.com> 0.5-3
- rebuild to pick up Rapid Reset CVE-2023-39325 CVE-2023-44487 (rhbz#2243224)

* Tue Feb 28 2023 Martin Magr <mmagr@redhat.com> - 0.5-1.git4ffa970
- Add interval to duration converter
- Improve AMQP-1.0 transport

* Mon Nov 22 2021 Miguel Garcia <mgarciac@redhat.com> - 0.4-2
- Rebuild with new golang

* Wed Nov 03 2021 Martin Magr <mmagr@redhat.com> - 0.4-1.git4f0bf95
- Add system.GetOpenedFiles
- Add possibility to get process limits
- Enhance error message returned from Loki
- Explicitly init http client in Loki connector
- Add ability to choose tenant to Loki connector
- Split connector package into separate packages

* Thu Apr 08 2021 Martin Magr <mmagr@redhat.com> - 0.3-1.git482adc4
- Added task scheduler (scheduler module)
- Fixed spawning SensuConnector when not all subscription channels are available
- Added map operations (misc module)

* Tue Dec 15 2020 Jon Schlueter <jschluet@redhat.com> 0.1-3
- update license to ASL 2.0

* Mon Dec 14 2020 Steve Linabery <slinaber@redhat.com> - 0.1-2.git8439bdc
- Drop a few runtime Requires that are really only needed as BuildRequires

* Tue Oct 13 2020 Martin Magr <mmagr@redhat.com> - 0.1-1.git8439bdc
- Updated to latest upstream release
- Fixed issue #1

* Wed Sep 02 2020 Martin Magr <mmagr@redhat.com> - 0-0.1.20200810git9a73d9
- Initial package
